import 'package:ocg_location/src/models/address.dart';

class LocationHelper {
  final String apiKey;

  LocationHelper.of(this.apiKey);

  String getSnapshot(Address locationResponse,
      {int height = 320, int width = 480}) {
    return "https://maps.googleapis.com/maps/api/staticmap?center=${locationResponse.fullAddress}&zoom=13&size=${width}x$height&maptype=roadmap%20&markers=color:red%7Clabel:C%${locationResponse.latitude},${locationResponse.longitude}&key=$apiKey";
  }
}
